% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/estimator.R
\name{estimator}
\alias{estimator}
\title{Generate models and get classifications on test sets}
\usage{
estimator(
  row,
  grid,
  outer_folds,
  inner_folds,
  dfm,
  class_type,
  model,
  we_vectors
)
}
\arguments{
\item{row}{Row number of current item in grid}

\item{grid}{Grid with model parameters and CV folds}

\item{outer_folds}{List with row numbers for outer folds}

\item{dfm}{DFM containing labeled documents}

\item{class_type}{Name of column in docvars() containing the classes}

\item{model}{Model to use (currently only nb)}

\item{we_vectors}{Matrix with word embedding vectors}
}
\value{
Dependent on mode, if folds are included, returns true and predicted classes of test set, with parameters, model and model idf. When no folds, returns final model and idf values.
}
\description{
Creates a grid of models to be estimated for each outer fold, inner fold and parameter combination
}
\examples{
estimator(row, grid, outer_folds, dfm, class_type, model)
}
