% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lemma_writer.R
\name{lemma_writer}
\alias{lemma_writer}
\title{Generates text output files (without punctuation) for external applications, such as GloVe embeddings}
\usage{
lemma_writer(out, file, localhost = F, documents = F, lemma = F, cores = 1)
}
\arguments{
\item{out}{The elasticizer-generated data frame}

\item{file}{The file to write the output to (including path, when required). When documents = T, provide path including trailing /}

\item{localhost}{Unused, but defaults to FALSE}

\item{documents}{Indicate whether the writer should output to a single file, or individual documents}

\item{lemma}{Indicate whether document output should be lemmas or original document}

\item{cores}{Indicate the number of cores to use for parallel processing}
}
\value{
A Quanteda dfm
}
\description{
Generates text output files (without punctuation) for external applications, such as GloVe embeddings
}
\examples{
dfm_gen(out, words = '999')
}
